*
* LABEL.CMD
*
* Test the ANYKEY command responses with the GOTO command.  This works
* sort of like a computed goto.  Labels are always converted to lower case
* before they are evaluated so that LB-A is the same thing as lb-a or LB-a
* or Lb-A or any other combination of upper and lower case.
* The user can enter Upper or Lower case as response to the AnyKey Command.
*
*	This is another way to do menus
*

OnError Ignore
Label Top

*
* Print the Menu
*
Clear
Display

Current Time: &TIME Date: &DATE

     Enter:
         A - For Option A
         B - For Option B
         C - For Option C


   Enter A/B/C/ or [Return] to Exit
EndDisplay

*
* Get Response (AnyKey uses default prompt)
*
AnyKey Local

*
* Enter Option ABC or [Return]
* Branch to Appropriate Function
*
* Note the use of -FOUND on the end of the label so that the ^M is in the
* middle of the label.  ^M is a valid word ending character for PereLine as
* is TAB, SPACE, and ^J so this makes it not be the end of the word.
*
Goto LB-\&LASTKEY

*
* Choice A
*
Label LB-A
	AnyKey Local "A - was a good choice"
	Goto Top

*
* Choice B
*
Label LB-B
	AnyKey Local "B - was a good choice"
	Goto Top

*
* Choice C
*
Label lb-C
	AnyKey Local "C - was a good choice"
	Goto Top

*
* [Return] Exit
*
Label LB-^M
	AnyKey Local "Pressed [Return] Exiting ..."
	Clear
	Exit

*
* Any Thing Else
*
Label LB-&LASTKEY
	AnyKey Local "Invalid Choice ... Press [Return]"
	Goto Top

