*
* MESSAGE.CMD
*
* Script to allow Remote users to leave messages on the system.  This is done
* by opening a file called MESSAGES, and adding lines to the bottom of it.
* Argument to this file is the name for the messages file.
* e.g.,  Execute Message

* This one is called from Remote.CMD when you choose the MESSAGE option.

Define Name Location Line

If Not "&ISCONNECT"
	Message Not Connected To Anyone at this time ...
	Exit NOTOK
EndIf

:Menu
OnError Goto Back_To_Command
Transmit

Message Section:
	
	D)elete Messages for: &USER
	E)nter a Message
	R)ead Messages for: &USER

	Q)uit to Main Commands Section

EndTransmit
If Exist \PL\MSG\\&USER.MSG
	'You Have Messages Waiting ...
	'
Else
	'You Have No Messages ...
	'
EndIf
Anykey Remote Press an Option Letter (D, E, R, or Q)? 
Goto LB-&

:LB-Q
'Quit
Goto Back_To_Command

*
* Read the messages and prompt for Deleting ...
:LB-D
:LB-R
If Exist \PL\MSG\\&USER.MSG
	If Key R
		'Read
		Execute Type \PL\MSG\\&USER.MSG
		'
	Else
		'Delete
	EndIf
*
* Else just prompt to make sure that they really want to delete them ...
	'
	Anykey Remote Want to Delete Messages for &USER? (y/N) 
	If Key Y
		'Yes
		Erase \PL\MSG\\&USER.MSG
		'
		'Messages for &USER Deleted ...
		'
	EndIf
Else
	If Key R
		'Read
	Else
		'Delete
	EndIf
	'
	'Sorry No Messages for &USER
	'
	Goto Menu
EndIf
Goto Menu

*
* Enter a message to someone ...
:LB-E
'Enter

'
Enter Remote Name Who is the message for? ([Enter] for Sysop) 

*
* Just in Case See if the directories exist
*
If Not DEXIST \PL
	MkDir \PL
EndIf
If Not DEXIST \PL\MSG
	MkDir \PL\MSG
EndIf

If "&Name"
	Assign Location &UPPER(\PL\MSG\\&Name.MSG)
	Assign Name &UPPER(&Name)
Else
	Assign Location \PL\MSG\\SYSOP.MSG
	Assign Name SYSOP
EndIf

* Open the file so we can write
Fopen #1 &Location append

* Write a header to separate this from previous messages
Fwrite #1 Message From &USER &DATE &TIME
Fwrite #1 *******

* Tell the Remote user what is going on ...
Transmit

Sending message to: &Name
Entering Message.  Remember to press [Enter] at the end of each line.
Enter as many lines as you need and press [Enter] on a Blank Line
   When Done ...

EndTransmit

OnError Goto Next
:Next
*If Not "&ISCONNECT"
*	Goto Back_To_Command
*EndIf
Enter Remote Line : 
If Not "&Line"
	Goto Done
EndIf
Fwrite #1 &Line
Goto Next

:Done
AnyKey Remote Are You Done (y/N)? 
If Not KEY Y
	'NO
	'Continue Entering Message
	'
	Goto Next
Else
	'Yes
	'
EndIf
Fwrite #1 *******
Fclose #1
'
AnyKey Remote Message Entered ... Press [Enter] to Continue ...
'
Message Message Left By &USER

Goto Menu

:LB-&
'Pressed Invalid Key
Goto Menu

:Back_To_Command
'
'Returning to Command Menu ...
'
Exit OK
