*
* READ.CMD
*
* This script show how the FOPEN, FREAD, and FWRITE commands work.
* These commands are used for saving and getting data in a disk file.
*

Define DATA

*
* Open the test data file
*
Fopen #1 TESTREAD.DAT READ

*
* FREAD
*

*
* Read the first line from the file
*
Fread #1 DATA

*
* Read and display the rest of the test data file
*
:READ_NEXT
	DISPLAY "Data: &data"
Goto READ_NEXT While Fread #1 DATA

*
* Close the file
*
Fclose #1

AnyKey Local "All Done With Read #1 ..."

*
* Test #2 Try Using If Command ...
*
Fopen #1 TESTREAD.DAT READ

*
* This illustrates a FOREVER loop which is exited using the result of
* an IF condition.
*
:READ_AGAIN
	If Fread #1 DATA
			DISPLAY Data: &data
	Else
		Goto DONE
	EndIf
Goto READ_AGAIN "FOREVER"

:DONE
	AnyKey Local "All Done With Read #2 ..."
	Fclose #1

*
* FWRITE
*
Message "Write Test ..."

Fopen #1 WRITTEST.DAT Write

Assign Data 1

*
* Write out a bunch of data to a file
*
:Write_Again
	Fwrite #1 "This is Record Number: &data"
	Display "Writing: &data"
	Increment Data By 1
Goto Write_Again While &data < 1000
   
Fclose #1
Message "Done Writing ..."

Fopen #1 WRITTEST.DAT Read

Fread #1 data

*
* Now read it back and display it.
*
:READ_AGAIN1
	Display Line is: &data
Goto READ_AGAIN1 While Fread #1 data

AnyKey Local "All Done With Write Test"

Del WRITTEST.DAT

